Subject: Re: bug#68487: [PATCH] Make jump commands usable for all skeletons

From: Eli Zaretskii <[email-masked]>
Date: Sat, 27 Jan 2024 20:51:09 +0200

> From: Martin Marshall <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 27 Jan 2024 13:27:31 -0500
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Is this patch still relevant, or you intend to resolve this while
> > consolidating the related packages, perhaps based on yasnippet?
> 
> I think it's still relevant.
> 
> As I understand it, a goal for the snippet-engine project is to include
> it in core and implement skeleton.el, expand.el, and tempo.el on top of
> it.
> 
> When completed, that will make this patch irrelevant, but I don't know
> how long that process will take.

OK.  But after applying the patch on the master branch, I get this
while byte-compiling:

  In toplevel form:
  expand.el:91:2: Error: Eager macro-expansion failure: (error "Eager macro-expansion skipped due to cycle:
      => (load \"expand.el\") => (macroexpand-all (define-skeleton expand-c-for-skeleton  )) => (macroexpand (define-skeleton  )) => (load \"skeleton.el\") => (load \"expand.el\")")

  In toplevel form:
  skeleton.el:34:11: Error: Eager macro-expansion failure: (error "Eager macro-expansion skipped due to cycle:
      => (load \"expand.el\") => (macroexpand-all (define-skeleton expand-c-for-skeleton  )) => (macroexpand (define-skeleton  )) => (load \"skeleton.el\") => (load \"expand.el\")")
  Makefile:335: recipe for target `skeleton.elc' failed
  make[3]: *** [skeleton.elc] Error 1
  make[3]: *** Waiting for unfinished jobs....
  Makefile:335: recipe for target `expand.elc' failed

Could you please DTRT to avoid these errors?